Skip to main content
GET
/
api
/
products
List products
curl --request GET \
  --url https://app.solya.app/api/products \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "brandId": "brand-uuid-adidas",
      "classificationCode": "FOOTWEAR",
      "classificationName": "Footwear",
      "code": "UB22-BLK",
      "createdAt": "2024-03-01T08:00:00.000Z",
      "deactivatedAt": null,
      "extraInformation": null,
      "familyCode": "RUNNING",
      "familyName": "Running",
      "id": "product-uuid-1",
      "imageUrl": "https://cdn.example.com/products/ub22-blk.jpg",
      "isActive": true,
      "longDescription": null,
      "name": "Ultraboost 22",
      "shortDescription": "High-performance running shoe with Boost cushioning",
      "updatedAt": "2026-04-15T11:20:00.000Z"
    },
    {
      "brandId": "brand-uuid-nike",
      "classificationCode": "FOOTWEAR",
      "classificationName": "Footwear",
      "code": "RIR3-WHT",
      "createdAt": "2024-04-10T08:00:00.000Z",
      "deactivatedAt": null,
      "extraInformation": null,
      "familyCode": "RUNNING",
      "familyName": "Running",
      "id": "product-uuid-2",
      "imageUrl": "https://cdn.example.com/products/rir3-wht.jpg",
      "isActive": true,
      "longDescription": null,
      "name": "React Infinity Run 3",
      "shortDescription": "Injury-reduction running shoe with React foam",
      "updatedAt": "2026-04-20T09:00:00.000Z"
    }
  ],
  "page": 1,
  "pageSize": 20,
  "total": 58
}

Authorizations

Authorization
string
header
required

User session token issued by NextAuth. For human users accessing Solya via the web application.

Query Parameters

page
integer
default:1

Page number, 1-indexed (default: 1)

Required range: 1 <= x <= 9007199254740991
pageSize
integer
default:20

Number of items per page, max 100 (default: 20)

Required range: 1 <= x <= 100
q
string

Case-insensitive substring search query

brandId
string

Response

Successful response

data
object
required
success
enum<boolean>
required
Available options:
true